import { http } from '@/utils/http/axios';

/**
 * @description: 文件日志列表
 */
export function getFileLogList(params?) {
  return http.request({
    url: '/file/log/page',
    method: 'GET',
    params,
  });
}
/**
 * @description: 根据ID获取详情
 */
export function getFileLogDetail(id) {
  return http.request({
    url: '/file/log/detail/'+id,
    method: 'get',
  });
}
/**
 * @description: 删除文件日志
 */
export function fileLogDelete(id) {
  return http.request({
    url: '/file/log/delete/'+id,
    method: 'DELETE',
  });
}
/**
 * @description: 批量删除文件日志
 */
export function fileLogBatchDelete(data:any) {
  return http.request({
    url: '/file/log/batchDelete',
    method: 'DELETE',
    data
  });
}